ONVIF::PTZ::Types::SecurityCapabilities(3)

NAME
ONVIF::PTZ::Types::SecurityCapabilities

DESCRIPTION
Perl data type class for the XML Schema defined complexType SecurityCapabilities from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   TLS1__1

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

     TLS1.1

•   TLS1__2

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

     TLS1.2

•   OnboardKeyGeneration

•   AccessPolicyConfig

•   X__509Token

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

     X.509Token

•   SAMLToken

•   KerberosToken

•   RELToken

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::SecurityCapabilities
   TLS1__1 =>  $some_value, # boolean
   TLS1__2 =>  $some_value, # boolean
   OnboardKeyGeneration =>  $some_value, # boolean
   AccessPolicyConfig =>  $some_value, # boolean
   X__509Token =>  $some_value, # boolean
   SAMLToken =>  $some_value, # boolean
   KerberosToken =>  $some_value, # boolean
   RELToken =>  $some_value, # boolean
   Extension =>  { # ONVIF::PTZ::Types::SecurityCapabilitiesExtension
     TLS1__0 =>  $some_value, # boolean
     Extension =>  { # ONVIF::PTZ::Types::SecurityCapabilitiesExtension2
       Dot1X =>  $some_value, # boolean
       SupportedEAPMethod =>  $some_value, # int
       RemoteUserHandling =>  $some_value, # boolean
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL